#!%PerlPath%
# $Id: todaytdf.pl.in,v 1.6 2000/10/01 14:30:20 tom Exp $
################################################################

=head1 NAME

todaytdf - 今日の tdf ファイルを指定したエディタで開く

=head1 SYNOPSIS

 % todaytdf


=head1 INSTALL

 1. contrib/todaytdf.pl.in をパスの通ったディレクトリに todaytdf としてコピーする
 2. chmod 755 todaytdf
 3. web_diary_dir, libdir を use lib 
 4. $TDS::DirInfo::DiaryDir を相対パスで指定していたら $diary_dir に絶対パスで上書きする

=cut


################################################################    
use lib qw(%WebDiaryDir% %LibDir%);
use vars qw($Template);

use DateTime::Time;
use Template;

use TDS;
use TDS::System;
use TDS::Admin::TdfEditor;
use TDS::DirInfo;

#require 'conf.ph';
#TDS::Initialize();

my $diary_dir = $TDS::DirInfo::DiaryDir;   # 絶対パスね
my $editor = $ENV{'EDITOR'} || 'vi';

$Template = "%diary_dir/%0y/%0m/%0d.tdf";
#$Template = "%diary_dir/%0y/d%0y%0m%0d.hnf";    # for hns

################################################################

my $time = new DateTime::Time;
$time->SetTime($^T, $TDS::System::TZ);

if ($time->hour < $TDS::Admin::TdfEditor::DayChangeOffset){
    $time -= '1D';
}

my $params = $time->GetParams;
$params->{diary_dir} = $diary_dir;

my $tdf_file = Expand($Template, $params);

#print "$editor $tdf_file";
exec("$editor $tdf_file");


